﻿@model IEnumerable<eCommerce.Services.Model.Category>

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th>Nombre</th>
            <th>Nombre Completo</th>
            <th class="text-center">&Oacute;rden</th>
            @*<th class="text-center">Menu Home</th>*@
            <th class="text-center">Menu Header</th>
            <th class="text-center">Habilitada</th>
            <th class="text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td>@Html.DisplayFor(modelItem => item.Name)</td>
            <td>@Html.DisplayFor(modelItem => item.CompleteName)</td>
            <td class="text-center">@Html.DisplayFor(modelItem => item.DisplayOrder)</td>
            @*<td class="text-center">
                @if (item.ShowInHome)
                {
                    <span class="label label-outline label-success">Si</span>
                }
                else
                {
                    <span class="label label-outline label-danger">No</span>
                }
            </td>*@
            <td class="text-center">
                @if (item.ShowInHeader)
                {
                    <span class="label label-outline label-success">Si</span>
                }
                else
                {
                    <span class="label label-outline label-danger">No</span>
                }
            </td>
            <td class="text-center">
                @if (item.Enabled)
                {
                    <span class="label label-outline label-success">Si</span>
                }
                else
                {
                    <span class="label label-outline label-danger">No</span>
                }
            </td>
            <td class="actions text-center">
                <a href="/Categories/CategoryUpdate/@item.CategoryId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.CategoryId" onclick="fDeleteDialog(@item.CategoryId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
